# coding: utf-8

import os
import locale
from gettext import translation

from tionix_scheduler_client.core import BASE_DIR


APP_NAME = "tionix_scheduler_client"

LOCALE_DIR = os.path.join(BASE_DIR, 'locale')

# TIONIX modules use 'LANG' variable to set translation language, so set
# LC_ALL equal to LANG to prevent language overriding

if 'LANG' in os.environ:
    os.environ['LC_ALL'] = os.environ['LANG']

lc, encoding = locale.getdefaultlocale()
language = lc if lc else 'en_US'

t = translation(APP_NAME, LOCALE_DIR, [language], fallback=True)


def ugettext(msg):
    new_msg = t.gettext(msg)
    if isinstance(new_msg, str):
        return new_msg.decode('utf-8')
    return new_msg
