# coding: utf-8

from tionix_client.settings.loader import Config

from tionix_scheduler_client.settings.validators import validators_map


MODULE_NAME = 'tionix_scheduler_client'

DEFAULT_CONF = {
    'PROTOCOL': 'http',
    'HOST': 'localhost',
    'PORT': '10001',
}

base_config_path = '/etc/tionix/tionix.yaml'
module_config_path = '/etc/tionix/scheduler_client.yaml'

unused_variables = ['CINDER_VERSION', 'DB', 'RABBIT_QUEUES', 'KEYSTONE',
                    'NOVA_VERSION', 'CEILOMETER_SERVICE_NAME',
                    'LOG_LEVEL', 'TRACEBACK_ENABLED',
                    'NOVA_RABBIT_VHOST', 'KEYSTONE_RABBIT_VHOST', 'RAVEN']

CONF = Config(
    config_files=[base_config_path, module_config_path],
    default_settings=DEFAULT_CONF,
    validators=validators_map,
    immutable_variables=[],
    unused_variables=unused_variables,
    module_name=MODULE_NAME)
