# coding: utf-8
import logging

from tionix_client.settings import validators as client_validators


logger = logging.getLogger(__name__)


protocols = ['http']


# noinspection PyUnusedLocal
def get_valid_protocol(key, value, default_protocol):
    if not value:
        return default_protocol

    if value not in protocols:
        logger.error(
            u'Invalid protocol for scheduler url: {0}. '
            u'Protocol set to default: {1}'.format(
                value, default_protocol))

        value = default_protocol
    return value


# noinspection PyUnusedLocal
def get_valid_host(key, value=None, default_host=None):
    if value:
        value = unicode(value)
    else:
        logger.error(
            u'Invalid host: {0}. '
            u'Host set to default: {1}'.format(value, default_host))

        value = default_host
    return value


validators_map = {
    'PORT': client_validators.get_valid_port,
    'HOST': get_valid_host,
    'PROTOCOL': get_valid_protocol,
}
